tcut                package:survival                R Documentation

Factors for person-year calculations

Description:

     Attaches categories for person-year calculations to a variable
     without losing the underlying continuous representation

Usage:

     tcut(x, breaks, labels, scale=1)

Arguments:

       x: numeric/date variable 

  breaks: breaks between categories, which are right-continuous 

  labels: labels for categories 

   scale: Multiply 'x' and 'breaks' by this.

Value:

     An object of class 'tcut'

See Also:

     'cut', 'pyears'

Examples:

     temp1 <- mdy.date(6,6,36)
     temp2 <- mdy.date(6,6,55)# Now compare the results from person-years
     #
     temp.age <- tcut(temp2-temp1, floor(c(-1, (18:31 * 365.24))),
             labels=c('0-18', paste(18:30, 19:31, sep='-')))
     temp.yr  <- tcut(temp2, mdy.date(1,1,1954:1965), labels=1954:1964)
     temp.time <- 3700   #total days of fu
     py1 <- pyears(temp.time ~ temp.age + temp.yr, scale=1) #output in days
     py1

